Subject: Re: Scaling of G98 on Clusters

From: Christoph Steinbeck <[email-masked]>
Date: Tue, 04 Apr 2000 10:23:58 +0200

> Subject: Scaling of G98 on Clusters
> 
> With the recent discussion of how G98 scales on Beowulf clusters, I have an
> additional question (we are thinking of putting together a cluster for G98
> calculations and are deciding about specifics of configuration).
> 
> If there seems to be little gain above 8 CPUs using 100MB ether net
> communication, is it possible to put together a 32 CPU cluster, use Linda for
> the G98 code, then have cluster management software give 8 CPUs per Gaussian
> job?  In other words, using the Link 0 command, %NProc=8, would a 32 CPU cluster
> be able to run 4 jobs at 8 CPU each and still provide maximum usage to Gaussian
> users.  Or does a Beowulf cluster require all CPUs by used in tandem.
> 
> This leads to other question about cluster management software.  I've seen
> several mentioned on different web sites.  Any experience as to which offers the
> best mix of ease and functionality?
> 
> 
> 
> Douglas E. Stack
> Assistant Professor
> Department of Chemistry
> University of Nebraska at Omaha
> Omaha, NE 68182-0109
> (402) 554-3647
> (402) 554-3888 (fax)
> [email-masked]

Hi Douglas, 

this is exactly what I'm doing now as a reaction to the result of my
performance evaluation and what was said in the discussion. 
So, if you have a Linda license for 32 nodes, all you need to do is
setup the linda communication modules ntsnet on cluster node 1 (cn01),
cn09, cn17 and cn25, such that each uses only the subsequent seven nodes
as workers. This is simple done by listing the machines names in the
tsnet.config. The tsnet.config of the first node contains a line
"Tsnet.Appl.nodelist: cn01 cn02 cn03 cn04 cn05 cn06 cn07 cn08", the one
of cn09 shows "Tsnet.Appl.nodelist: cn09 cn10 cn11 cn12 cn13 cn14 cn015
cn016", and so on.

I then set-up a network queue on GNQS (http://www.gnqs.org) to be aware
only of cn01, cn09, cn16 and cn25. The rest is done by linda. 

Hope this help. I'm not sure of this is the most elegant solution and I
appreciate any comments. 

Greetings, 

Chris

--
Dr. Christoph Steinbeck (http://www.ice.mpg.de/departments/ChemInf)
MPI of Chemical Ecology, Tatzendpromenade 1a, 07745 Jena, Germany
Tel: +49(0)3641 643644 - Fax: +49(0)3641 643665

What is man but that lofty spirit - that sense of enterprise. 
... Kirk, "I, Mudd," stardate 4513.3..